Kommentar
Åtkomst till den här sidan kräver auktorisering. Du kan prova att logga in eller ändra kataloger.
Åtkomst till den här sidan kräver auktorisering. Du kan prova att ändra kataloger.
Creates a customer payment object in Business Central.
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
POST businesscentralPrefix/companies({id})/customerPaymentJournals({id})/customerPayment({id})
POST businesscentralPrefix/companies({id})/customerPayments({id})
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json |
Request body
In the request body, supply a JSON representation of customerPayment object.
Response
If successful, this method returns 201 Created response code and a customerPayment object in the response body.
Example
Request
Here's an example of a request.
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/customerPayment
Content-type: application/json
{
"lineNumber": 10000,
"customerId": "customerId-value",
"customerNumber": "10400",
"contactId": "string",
"postingDate": "2015-12-31",
"documentNumber": "1234",
"externalDocumentNumber": "",
"amount": 1500,
"appliesToInvoiceId": "appliesToInvoiceId-value",
"appliesToInvoiceNumber": "100000",
"description": "",
"comment": "",
"lastModifiedDateTime": "2017-03-17T19:02:22.043Z"
}
Response
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "17cce948-c6a5-4861-8ff5-30428ed83207",
"lineNumber": 10000,
"customerId": "customerId-value",
"customerNumber": "10400",
"contactId": "string",
"postingDate": "2015-12-31",
"documentNumber": "1234",
"externalDocumentNumber": "",
"amount": 1500,
"appliesToInvoiceId": "appliesToInvoiceId-value",
"appliesToInvoiceNumber": "100000",
"description": "",
"comment": "",
"lastModifiedDateTime": "2017-03-17T19:02:22.043Z"
}
Related information
Tips for working with the APIs
Customer Payments
Get Customer Payments
Patch Customer Payments
Delete Customer Payments